# vkCmdBeginConditionalRenderingEXT(3) Manual Page

## Name

vkCmdBeginConditionalRenderingEXT - Define the beginning of a conditional rendering block

## C Specification

To begin conditional rendering, call:

    void vkCmdBeginConditionalRenderingEXT(
        VkCommandBuffer                             commandBuffer,
        const VkConditionalRenderingBeginInfoEXT*   pConditionalRenderingBegin);

## Parameters

- `commandBuffer` is the command buffer into which this command will be recorded.

- `pConditionalRenderingBegin` is a pointer to a VkConditionalRenderingBeginInfoEXT structure specifying parameters of conditional rendering.

## Description

Valid Usage

- Conditional rendering must not already be active

Valid Usage (Implicit)

- `commandBuffer` must be a valid VkCommandBuffer handle

- `pConditionalRenderingBegin` must be a valid pointer to a valid VkConditionalRenderingBeginInfoEXT structure

- `commandBuffer` must be in the recording state

- The `VkCommandPool` that `commandBuffer` was allocated from must support graphics, or compute operations

Host Synchronization

- Host access to `commandBuffer` must be externally synchronized

- Host access to the `VkCommandPool` that `commandBuffer` was allocated from must be externally synchronized

Command Properties

Command Buffer Levels | Render Pass Scope | Supported Queue Types | Pipeline Type
--- | --- | --- | ---
Primary Secondary | Both | Graphics Compute |

## See Also

VkCommandBuffer, VkConditionalRenderingBeginInfoEXT

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright (c) 2014-2020 Khronos Group. This work is licensed under a Creative Commons Attribution 4.0 International License.